Subject: Re: VC++ 5.0 and cygwin.dll (b18)
From: [email-masked] (Juerg Tschirren)

26 Jan 1998 22:47:04 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Redmond Urbino wrote:

> Is it possible to get the cygnus cygwin.dll working with VC++ 5.0?
> I was able to call bzero and it functioned correctly.  But a call
> to cygwin32_socket produced an error, something like:
> The instruction at 0x1000c4ec referenced memory at 0x00000058. The
> memory cannot be read.

 Unfortunately I have no solution but maybe a hint. I have a similar
problem. I try to build my own DLL with cygwin32 and use it with VC++5.0.
Everything works fine except when I try to use functions like malloc or new
inside my DLL. The problem seems to be that a Win32 DLL does not have its
own heap.
Does anybody know how one can declare a own heap segment for a Win32 DLL so
it's possible to allocate memory with malloc and friends?

Juerg Tschirren
Berne, Switzerland

--
------------------------------------------------------------------------
In a world without fences - who needs Gates?
Experience LINUX!
http://www.linux.org  http://www.suse.de  http://www.redhat.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".